(function($) {
    $(window).load(function() {
        $("#import-products-ki").click(function(){
            $("#result").html('');
            var spin = $('#ki_wait_process_products');
            var btn = $(this);
            btn.prop('disabled',true);
            spin.prop('hidden', false);
            $.ajax({
                url: '../modules/keyinvoice/classes/Import.php',
                data: {
                    action: "import_products",
                },
                dataType: "json",
                method: "POST",
                success: function (response) {
                    if (response) 
                    {
                        $('#result').html(response.msg);
                    }
                },
                error: function (errorThrown) {
                    console.log(errorThrown);
                },
                complete: function()
                {
                    btn.prop('disabled', false);
                    spin.prop('hidden', true);
                }
            });
        });
        $("#export-document-ki").click(function() {
            var res = $("#result_exp")
            var btn = $(this);
            var spin = $('#ki_wait_process_docs');
            btn.prop('disabled', true);
            spin.prop('hidden', false);
            res.html('');
            $.ajax({
                url: '../../../../../modules/keyinvoice/classes/Export.php',
                data: {
                    action: "export_document",
                    order_id: $('#ki_order_id').html()
                },
                dataType: "json",
                method: "POST",
                success: function (response) {
                    if (response) 
                    {
                        res.html(response.msg);
                    }
                },
                error: function (errorThrown) {
                    console.log(errorThrown);
                },
                complete: function()
                {
                    btn.prop('disabled', false);
                    spin.prop('hidden', true);
                }
            });
        });
        $("#pdf-document-ki").click(function() {
            var btn = $(this);
            var spin = $('#ki_wait_download_pdf');
            btn.prop('disabled', true);
            spin.prop('hidden', false);
            $.ajax({
                url: '../../../../../modules/keyinvoice/classes/Export.php',
                data: {
                    action: "generate_pdf",
                    order_id: $('#ki_order_id').html()
                },
                xhrFields: {
                    responseType: 'blob'
                },
                method: "POST",
                success: function (response) {
                    if (response) 
                    {
                        var name = $('#ki_doc_id').html();
                        var filename = name.split('_');
                        var a = document.createElement('a');
                        var url = window.URL.createObjectURL(response);
                        a.href = url;
                        a.download = filename[1]+''+filename[2]+''+filename[0]+'.pdf';
                        document.body.append(a);
                        a.click();
                        a.remove();
                        window.URL.revokeObjectURL(url);
                    }
                },
                error: function (errorThrown) {
                    console.log(errorThrown);
                },
                complete: function()
                {
                    btn.prop('disabled', false);
                    spin.prop('hidden', true);
                }
            });
        });
    });
})(jQuery);